

$CurrentFurionVerion = "1.0.15"
$CheckVersionURL = "https://rubygems.org/api/v1/gems/furion.json"

class String
  def red;            "\033[31m#{self}\033[0m" end
end

class FurionVersion

  def self.getCurVersion
    return $CurrentFurionVerion
  end

  def self.getLatestVersion
    data = open($CheckVersionURL){|f| f.read}
    dict = JSON.parse(data)
    return dict["version"]
  end



  def self.checkUpdate
    curVersion = getCurVersion
    latestVersion = getLatestVersion

    if curVersion != latestVersion
      content = "new version:["+ latestVersion +"] detected\ncurrent:["+curVersion+"]\nto update: 'sudo gem install furion' "
      puts content.red
      return 0
    end
    return 1
  end

end